//
//  CBAppDelegate.h
//  CocoaBeam
//
//  Created by Jake on 3/23/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CBBeamPlanView;
@class CBBeamSectionView;
@class CBBeamDebugView;
@class CBIntensityCurveView;

@interface CBAppDelegate : NSObject {
	IBOutlet CBBeamPlanView* planView;
	IBOutlet CBBeamSectionView* sectionView;
	IBOutlet CBBeamDebugView* debugView;
	IBOutlet CBIntensityCurveView* curveView;
	
	IBOutlet NSSlider* scaleSlider;
	IBOutlet NSObjectController* geometryController;
	IBOutlet NSArrayController* fixtureListController;
	NSMutableArray* fixtureList;
	IBOutlet NSPanel* inspector;
	IBOutlet NSMenuItem*  inspectorMenu;
}

- (IBAction)scaleChanged:(id)sender;
- (IBAction) redraw:(id)sender;

@end
