//
//  CBBeamSectionView.h
//  CocoaBeam
//
//  Created by Jake on 3/23/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CBFixture;
@class CBGeometricModel;

@interface CBBeamSectionView : NSView {
	IBOutlet CBFixture* fixture;
	IBOutlet CBGeometricModel* model;
	float scale;
	NSImage* beamImage;
}

- (CBFixture*)fixture;
- (void)setFixture:(CBFixture*)aValue;

- (float)scale;
- (void)setScale:(float)newScale;

- (IBAction)redraw:(id)sender;

@end
