//
//  CBIntensityCurve.h
//  CocoaBeam
//
//  Created by Jake on 3/21/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef enum {
	CBCurveLinear=0,
	CBCurveParabolic
} CBCurveType;

@interface CBIntensityCurve : NSObject {
	NSArray* points;
	
	float A;
	float B;
	float C;
	
	CBCurveType type;
}

- (NSArray*)points;
- (void)setPoints:(NSArray*)aValue;

- (float)valueForX:(float)x;
- (float)angleForIntensity:(float)y;
//- (float)xIntercept;

@end