//
//  CBBeamSectionView.h
//  CocoaBeam
//
//  Created by Jake on 3/23/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CBFixture;
@class CBGeometricModel;

@interface CBBeamDebugView : NSView {
	IBOutlet CBFixture* fixture;
	IBOutlet CBGeometricModel* model;
	float scale;
	
	float intensity;
	float beamDistance;
}

- (CBFixture*)fixture;
- (void)setFixture:(CBFixture*)aValue;

- (float)scale;
- (void)setScale:(float)newScale;

- (float)intensity;
- (void)setIntensity:(float)newIntensity;
- (IBAction)setIntensityAction:(id)intensityObject;
- (IBAction)setBeamDistance:(id)beamDistanceObject;

- (IBAction)redraw:(id)sender;

@end
